mod back_of_house {
    pub struct Breakfast {
        pub toast: String,
        seasonal_fruit: String,
    }

    impl Breakfast {
        pub fn summer(toast: &str) -> Breakfast {
            Breakfast {
                toast: String::from(toast),
                seasonal_fruit: String::from("brzoskwinie"),
            }
        }
    }
}

pub fn eat_at_restaurant() {
    // Zamawiamy śniadanie z tostami żytnimi latem
    let mut meal = back_of_house::Breakfast::summer("żytni");
    // Zmieniamy zdanie w kwestii rodzaju pieczywa
    meal.toast = String::from("przenny");
    println!("Poproszę tost {}", meal.toast);

    // Jeśli usuniemy komentarz przez poniższą linią, ona się nie skompiluje;
    // nie możemy sprawdzić ani zmienić owoców sezonowych podawanych do śniadania
    // meal.seasonal_fruit = String::from("borówki");
}
